@import "../../../assets/styles/main.scss";

.reviewPlanOrderSection {
  background-color: #f6f6f6;
  padding: 60px 0;
  position: relative;
  .backBackgroundImage {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0px;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: 35px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .reviewPlanOrderContainer {
    @include container-medium-1;
    position: relative;
    z-index: 9;
    display: grid;
    gap: 24px;
    grid-template-columns: 1fr 424px;
    align-items: start;
    @include lg {
      grid-template-columns: 1fr 340px;
    }
  }

  .breadcrumbMain {
    @include container-medium-1;
    position: relative;
    z-index: 9;
    margin-bottom: 58px;

    ol {
      list-style: none;
      display: flex;
      padding-left: 0;
      margin-top: 0;
      margin-bottom: 1em;
      align-items: center;
      li {
        display: flex;
        align-items: center;
        border-bottom: 1px solid;

        &.active {
          color: getColorHex("orange") !important;
          border-bottom: unset !important;
        }
      }
      .breadcrumbSeparator {
        margin: 0px 30px;
      }
      a {
        color: #000;
        transition: color 0.3s;
        font-size: 20px;

        line-height: normal;
        &:active {
          color: getColorHex("orange") !important;
        }
      }
    }
  }
}
.footer_color {
  background-color: getColorHex("background");
  width: 100%;
  height: 200px;
  position: absolute;
  transform: scaleY(1.1);
  left: 0;
}


// regions detail list
.regionListSection {
  display: flex;
  flex-flow: column;
  gap: 40px;
  height: 100%;
  @include lg{
    gap: 24px;
  }

  .regionsHeading {
    padding: 40px;
    padding-bottom: 0px;
    @include lg{
      padding: 30px;
      padding-bottom: 0px;
    }
    h1 {
      font-size: 24px;
      line-height: 32px;
      text-transform: capitalize;
      margin-bottom: 10px;
      font-weight: 700;
      color: getColorHex("black");
      @include lg{
        font-size: 22px;
      }
    }
    span {
      color: getColorHex("orange");
      font-size: 16px;
      line-height: 32px;
      text-transform: capitalize;
    }
  }
  .borderdiv {
    background: #d5d8dd;
    height: 1px;
    width: 100%;
  }
  .regionsDetailList {
    display: flex;
    flex-flow: column;
    gap: 10px;
    overflow-y: auto;
    padding: 0px 40px 30px;
    @include lg{
      padding: 0px 30px 30px;

    }
    &::-webkit-scrollbar {
      width: 5px;
    }
    
    /* Track */
    &::-webkit-scrollbar-track {
      background: #f1f1f1; 
    }
     
    /* Handle */
    &::-webkit-scrollbar-thumb {
      background: #c7c5c5; 
    }
    
    /* Handle on hover */
    &::-webkit-scrollbar-thumb:hover {
      background: #a5a3a3; 
    }
    p {
      font-size: 14px;
      font-weight: 400;
      color: getColorHex("black");
      line-height: normal;
    }
  }
}
